Skip to main content
POST
/
sales-agents
/
{agentId}
/
accounts
Register sales agent account
curl --request POST \
  --url https://api.agentic.scope3.com/api/v2/buyer/sales-agents/{agentId}/accounts \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "advertiserId": "<string>",
  "accountIdentifier": "<string>"
}
'
{
  "id": "<string>",
  "accountIdentifier": "<string>",
  "status": "<string>",
  "registeredBy": "<string>",
  "createdAt": "2023-11-07T05:31:56Z",
  "oauth": {
    "authorizationUrl": "<string>",
    "agentId": "<string>",
    "agentName": "<string>"
  }
}

Authorizations

Authorization
string
header
required

API key or access token

Path Parameters

agentId
string
required

Agent ID

Minimum string length: 1

Body

application/json
advertiserId
string
required

Advertiser seat ID (BUYER seat) to connect this account for

Minimum string length: 1
accountIdentifier
string
required

Unique account identifier for this agent

Required string length: 1 - 255
auth
object

Authentication credentials. Required for API_KEY/JWT agents, not needed for OAUTH agents.

marketplaceAccount
boolean

Admin-only flag. When true, creates a marketplace account instead of a client account.

Response

Register sales agent account

Agent account resource

id
string
required

Account ID

accountIdentifier
string
required

Unique account identifier

status
string
required

Account status

registeredBy
string
required

Who registered this account

createdAt
string<date-time>
required

When the account was created (ISO 8601)

oauth
object

Present when OAUTH flow is needed